#ifndef __G_CONSOLE_H__
#define __G_CONSOLE_H__

#include <gear/base.h>
#include <gear/ui/gui.h>
#include <log.c/log.h>

typedef struct g_console {
    sl_string input;
    sl_string output;
    void (*log_callback)(log_Event* event);
} g_console;

// src/ui/console/create.c
g_gui_layer* g_console_create();

// src/ui/console/draw.c
void g_console_draw(g_gui_context* ctx, g_gui_layer* console);

// src/ui/console/destroy.c
void g_console_destroy(void* console);

#endif
